ASP(4) | Device Drivers Manual (hppa) | ASP(4)

# NAME

`asp` —
first generation I/O subsystem

# SYNOPSIS

`asp* at mainbus0`
`gsc* at asp?`

# DESCRIPTION

Core bus controller and I/O subsystem as present on older HP 9000/700 workstations. The supported core bus controllers are those used in conjunction with PA7000, PA7100, and PA7150 CPUs and include:

- Core bus controller
- System Clock
- Interrupt Controller
- DMA Controller
- Real Time Clock Interface
- RAM and EEPROM controllers

# MACHINES

An incomplete list of machines that use the ASP bus controller:

- 705, 710
- 715/{33,50,75}
- 725/{50,75}
- 720, 730, 750
- 735/*, 755 (ASP2)
- 742i
- 745i/{50,75}
- 747i/{50,75}
- 755/*

# SEE ALSO

hppa/gsc(4), hppa/intro(4), hppa/io(4)

Hardball I/O Subsystem ERS, Revision 1.1, Hewlett-Packard, 30 September 1991.

# HISTORY

The `asp` driver appeared in OpenBSD 2.4. It was ported to NetBSD 1.6 by Matthew Fredette.

February 17, 2017 | NetBSD 9.0